dofile("scripts/entities/entityinclude.lua")

function init(me)
	node_setCursorActivation(me, true)
end
	
function activate(me)
	n = getNaija()
	node_bg = node_getNearestNode(me, "BG")
	node_bgExit = node_getNearestNode(me, "BGEXIT")
	sx,sy = entity_getScale(n)
	entity_switchLayer(n, -3)
	entity_scale(n, sx*0.5, sy*0.5, 1.5)
	entity_swimToNode(n, node_bg)
	entity_watchForPath(n)
	overrideZoom(0.5, 2)
	watch(0.5)
	while (not isLeftMouse()) and (not isRightMouse()) do
		watch(FRAME_TIME)
	end
	entity_scale(n, sx, sy, 1)
	overrideZoom(1, 1)	
	entity_swimToNode(n, node_bgExit)
	entity_watchForPath(n)
	entity_switchLayer(n, 0)
	--entity_idle(n)
	overrideZoom(0)
end

function update(me, dt)
end
